import { Route } from '@modules/geography/core/domain/route.types';
import { Waypoint } from '../types/waypoint.type';

export interface RouteProviderPort {
  /**
   * Get a basic route with points and overall duration / distance
   */
  getBasic(waypoints: Waypoint[]): Promise<Route>;
}
