import { Role } from './ad.types';

// All properties that a Candidate has
export interface CandidateProps {
  role: Role;
  waypoints: Waypoint[];
}

// Properties that are needed for a Candidate creation
export interface CreateCandidateProps {
  id: string;
  role: Role;
  waypoints: Waypoint[];
}

export type Waypoint = {
  lon: number;
  lat: number;
  position: number;
};
